> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finhost.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate a new client  

> Initiate a client with provided answers for onboarding questionnaire



## OpenAPI

````yaml post /client
openapi: 3.0.0
info:
  title: FinHost WLB Client API
  description: WLB Client REST API openApi 3.0 specification
  contact:
    email: odv4mail@gmail.com
  version: 1.0.0
servers:
  - url: https://client-api.dev.finhost.io
  - url: https://client-api.stage-v2.finhost.io
  - url: https://client-api-atlaspay-prod.finhost.io
security: []
tags:
  - name: Client
    description: Information about service clients
  - name: Sumsub
    description: KYC service
  - name: Contract
    description: Operations with clients contracts
  - name: Account
    description: Operations with clients accounts
  - name: Transfer
    description: Operations with clients assets
  - name: Recipient
    description: Operations with recipients
  - name: Statement
    description: List of the client statments
  - name: Company
    description: List of the client statments
paths:
  /client:
    post:
      tags:
        - Client
      summary: 'Initiate a new client  '
      description: Initiate a client with provided answers for onboarding questionnaire
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ClientInfo'
        required: true
      responses:
        '201':
          description: The client was initiated
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_201'
        '400':
          description: Internal server error
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_400'
        '500':
          description: Internal server error
          headers:
            Access-Control-Allow-Origin:
              style: simple
              explode: false
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_500'
      security:
        - bearerAuth: []
components:
  schemas:
    ClientInfo:
      required:
        - birthday
        - name
        - nationality
        - phone
        - surname
      properties:
        name:
          maxLength: 15
          minLength: 1
          type: string
          description: Client name
          example: John
        surname:
          maxLength: 30
          minLength: 1
          type: string
          description: Client surname
          example: Doe
        nationality:
          maxLength: 3
          minLength: 3
          type: string
          description: Country ISO 3166-1 Alpha-3 code
          example: UKR
        birthday:
          type: string
          description: Client birthday in RFC 3339 (section 5.6)
          format: date
          example: '2017-07-21'
        phone:
          type: string
          description: Customer phone number
          example: '+380689873682'
    inline_response_201:
      type: object
      properties:
        transactionStatus:
          type: string
          description: Transaction Status
          example: Initiation completed
    inline_response_400:
      type: object
      properties:
        message:
          type: string
          description: Application error
          example: The client has been already initiated
    inline_response_500:
      type: object
      properties:
        message:
          type: string
          description: Server error
          example: Client initiation failed
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````